jQuery(document).ready(function($){
    function updateSliderOptions() {
        var screenWidth = $(window).width();
        var slideWidth = screenWidth <= 767 ? 100 : 200;

        var jssor_1_options = {
            $AutoPlay: 0,
            $Idle: 0,
            $SlideDuration: 8000,
            $SlideEasing: $Jease$.$Linear,
            $PauseOnHover: 4,
            $SlideWidth: slideWidth,
            $Cols: 8,
            $SlideSpacing: 20
        };

        var jssor_1_slider = new $JssorSlider$("jssor_1", jssor_1_options);
    }

    // Initial setup
    updateSliderOptions();

    // Update slider on window resize
    $(window).resize(function() {
        updateSliderOptions();
    });
});
